commit:     7a27757ebec8705e856f5d1633df5685c101b610
Author:     Jaco Kroon <jaco <AT> uls <DOT> co <DOT> za>
AuthorDate: Mon Jul 31 10:07:12 2023 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Mon Jul 31 11:33:58 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7a27757e

sys-cluster/glusterfs: add 11.0

Signed-off-by: Jaco Kroon <jaco <AT> uls.co.za>
Closes: https://github.com/gentoo/gentoo/pull/32118
Signed-off-by: Sam James <sam <AT> gentoo.org>

 sys-cluster/glusterfs/Manifest              |   1 +
 sys-cluster/glusterfs/glusterfs-11.0.ebuild | 207 ++++++++++++++++++++++++++++
 2 files changed, 208 insertions(+)

diff --git a/sys-cluster/glusterfs/Manifest b/sys-cluster/glusterfs/Manifest
index c8eb3773ff2f..97a67df469aa 100644
--- a/sys-cluster/glusterfs/Manifest
+++ b/sys-cluster/glusterfs/Manifest
@@ -1,2 +1,3 @@
 DIST glusterfs-10.2.tar.gz 8278598 BLAKE2B 
48e70a244e34cc41a5befbe94635e945c95b87f26e5e1892b099d23a13c6fb70eefb2a66b247a564b03eeb0707ee480b50096b154b3ac5d2a13051e6371995b3
 SHA512 
290c701fbd3f100096ef26b589ee0714449fc620c35e62bcb5fe2fe8de5f64963b40d7d5fe1b97b274ba791fa45f4175305b6a112f184f6ce11a1e0dc9f7ea30
 DIST glusterfs-10.4.tar.gz 8293872 BLAKE2B 
01f8764cc71b7bac2ee0419f3f1069ac1c85e26314828b47f348b9bf88ad0b8aa327be16ccfe9cf820aebb7dd9477a7840c721df4435c895be91fed0b1129b7c
 SHA512 
06c563ab77a29145b1fac44f5a56a91539accb69ba736fe6297aa3f38b128e68ba4f7d0b49ac6eb56397a51950fb4de882ff60037e91c61ad13dd89a18139d82
+DIST glusterfs-11.0.tar.gz 8355706 BLAKE2B 
d0ee895b8ce5f506d9bc1f8b962a0f29b0379f086bf18cff0092938b7c2f7025afa2fccf54f58ac751a184a3b0e91a086df2d6496892f204373e070d7576a5d6
 SHA512 
075f0025a1892ebb28d45d0a4e8971656319582dd7bc2c8b19ea26cd08a789bb54f8bc9752839706cd0ee0ca54be74245230bc453a5d1e9e163af84f08937e69

diff --git a/sys-cluster/glusterfs/glusterfs-11.0.ebuild 
b/sys-cluster/glusterfs/glusterfs-11.0.ebuild
new file mode 100644
index 000000000000..1b39850500d4
--- /dev/null
+++ b/sys-cluster/glusterfs/glusterfs-11.0.ebuild
@@ -0,0 +1,207 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit autotools elisp-common python-single-r1 tmpfiles systemd 
bash-completion-r1
+
+DESCRIPTION="GlusterFS is a powerful network/cluster filesystem"
+HOMEPAGE="https://www.gluster.org/ https://github.com/gluster/glusterfs/";
+SRC_URI="https://download.gluster.org/pub/gluster/${PN}/$(ver_cut 
1)/${PV}/${P}.tar.gz"
+
+LICENSE="|| ( GPL-2 LGPL-3+ )"
+SLOT="0/${PV%%.*}"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~x86"
+
+IUSE="debug emacs +fuse georeplication ipv6 +libtirpc rsyslog selinux 
static-libs tcmalloc test +uring xml"
+
+REQUIRED_USE="${PYTHON_REQUIRED_USE}
+       georeplication? ( xml )
+       ipv6? ( libtirpc )"
+
+# the tests must be run as root
+RESTRICT="test"
+
+# sys-apps/util-linux is required for libuuid
+RDEPEND="
+       acct-group/gluster
+       acct-user/gluster
+       dev-libs/libaio
+       dev-libs/openssl:=[-bindist(-)]
+       net-libs/rpcsvc-proto
+       dev-libs/userspace-rcu:=
+       sys-apps/util-linux
+       sys-libs/readline:=
+       ${PYTHON_DEPS}
+
+       !elibc_glibc? ( sys-libs/argp-standalone )
+       emacs? ( >=app-editors/emacs-23.1:* )
+       fuse? ( >=sys-fs/fuse-2.7.0:0 )
+       libtirpc? ( net-libs/libtirpc:= )
+       !libtirpc? ( elibc_glibc? ( sys-libs/glibc[rpc(-)] ) )
+       selinux? ( sec-policy/selinux-glusterfs )
+       tcmalloc? ( dev-util/google-perftools )
+       uring? ( sys-libs/liburing:= )
+       xml? ( dev-libs/libxml2 )
+"
+DEPEND="
+       ${RDEPEND}
+       virtual/acl
+       test? ( >=dev-util/cmocka-1.0.1
+               app-benchmarks/dbench
+               dev-vcs/git
+               virtual/perl-Test-Harness
+               dev-libs/yajl
+               sys-fs/xfsprogs
+               sys-apps/attr )
+"
+BDEPEND="
+       sys-devel/bison
+       sys-devel/flex
+       virtual/pkgconfig
+"
+
+SITEFILE="50${PN}-mode-gentoo.el"
+
+DOCS=( AUTHORS ChangeLog NEWS README.md THANKS )
+
+# Maintainer notes:
+# * The build system will always configure & build argp-standalone but it'll 
never use it
+#   if the argp.h header is found in the system. Which should be the case with
+#   glibc or if argp-standalone is installed.
+
+pkg_setup() {
+       python_setup "python3*"
+       python-single-r1_pkg_setup
+}
+
+src_prepare() {
+       default
+
+       # build rpc-transport and xlators only once as shared libs
+       find rpc/rpc-transport xlators -name Makefile.am -exec \
+               sed -i 's|.*$(top_srcdir).*\.sym|\0 -shared|' {} + || die
+
+       # fix execution permissions
+       chmod +x libglusterfs/src/gen-defaults.py || die
+
+       eautoreconf
+}
+
+src_configure() {
+       econf \
+               YACC=yacc.bison \
+               LEX=flex \
+               --disable-fusermount \
+               --disable-lto \
+               $(use_enable debug) \
+               $(use_enable fuse fuse-client) \
+               $(use_enable georeplication) \
+               $(use_enable static-libs static) \
+               $(use_enable test cmocka) \
+               $(use_enable uring linux-io-uring) \
+               $(use_enable xml xml-output) \
+               $(usex ipv6 --with-ipv6-default "") \
+               $(usex libtirpc "" --without-libtirpc) \
+               $(usex tcmalloc "" --without-tcmalloc) \
+               --with-tmpfilesdir="${EPREFIX}"/usr/lib/tmpfiles.d \
+               --localstatedir="${EPREFIX}"/var
+}
+
+src_compile() {
+       default
+       use emacs && elisp-compile extras/glusterfs-mode.el
+}
+
+src_test() {
+       ./run-tests.sh || die
+}
+
+src_install() {
+       local bashcompdir=$(get_bashcompdir)
+       bashcompdir="${bashcompdir}" default
+
+       mv "${ED}/${bashcompdir}/gluster.bash" "${ED}/${bashcompdir}/gluster" 
|| die
+
+       rm \
+               "${ED}"/etc/glusterfs/glusterfs-{georep-,}logrotate \
+               "${ED}"/etc/glusterfs/gluster-rsyslog-*.conf \
+               "${ED}"/usr/share/doc/${PF}/glusterfs{-mode.el,.vim} || die 
"removing false files failed"
+
+       insinto /etc/logrotate.d
+       newins "${FILESDIR}"/glusterfs.logrotate glusterfs
+
+       if use rsyslog ; then
+               insinto /etc/rsyslog.d
+               newins extras/gluster-rsyslog-7.2.conf 60-gluster.conf
+       fi
+
+       if use emacs ; then
+               elisp-install ${PN} extras/glusterfs-mode.el*
+               elisp-site-file-install "${FILESDIR}/${SITEFILE}"
+       fi
+
+       insinto /usr/share/vim/vimfiles/ftdetect; doins "${FILESDIR}"/${PN}.vim
+       insinto /usr/share/vim/vimfiles/syntax; doins extras/${PN}.vim
+
+       # insert some other tools which might be useful
+       insinto /usr/share/glusterfs/scripts
+       doins \
+               extras/backend-{cleanup,xattr-sanitize}.sh \
+               extras/clear_xattrs.sh \
+               extras/migrate-unify-to-distribute.sh
+
+       # correct permissions on installed scripts
+       # fperms 0755 /usr/share/glusterfs/scripts/*.sh
+       chmod 0755 "${ED}"/usr/share/glusterfs/scripts/*.sh || die
+
+       newinitd "${FILESDIR}/glusterfsd-10.2.initd" glusterfsd
+       newinitd "${FILESDIR}/glusterd-10.2-r2.initd" glusterd
+       newconfd "${FILESDIR}/${PN}.confd" glusterfsd
+
+       keepdir /var/log/${PN}
+       keepdir /var/lib/glusterd/{events,glusterfind/.keys}
+
+       systemd_dounit 
extras/systemd/{glusterd,glustereventsd,glusterfssharedstorage,gluster-ta-volume}.service
+
+       # QA
+       rm -r "${ED}/var/run/" || die
+       if ! use static-libs; then
+               find "${D}" -type f -name '*.la' -delete || die
+       fi
+
+       python_optimize "${ED}"
+}
+
+pkg_postinst() {
+       tmpfiles_process gluster.conf
+
+       elog "Starting with ${PN}-3.1.0, you can use the glusterd daemon to 
configure your"
+       elog "volumes dynamically. To do so, simply use the gluster CLI after 
running:"
+       elog "  /etc/init.d/glusterd start"
+       echo
+       elog "For static configurations, the glusterfsd startup script can be 
multiplexed."
+       elog "The default startup script uses /etc/conf.d/glusterfsd to 
configure the"
+       elog "separate service.  To create additional instances of the 
glusterfsd service"
+       elog "simply create a symlink to the glusterfsd startup script."
+       echo
+       elog "Example:"
+       elog "    # ln -s glusterfsd /etc/init.d/glusterfsd2"
+       elog "    # ${EDITOR} /etc/glusterfs/glusterfsd2.vol"
+       elog "You can now treat glusterfsd2 like any other service"
+       echo
+       ewarn "You need to use a ntp client to keep the clocks synchronized 
across all"
+       ewarn "of your servers. Setup a NTP synchronizing service before 
attempting to"
+       ewarn "run GlusterFS."
+       echo
+       elog "If you are upgrading from a previous version of ${PN}, please 
read:"
+       elog "  
http://docs.gluster.org/en/latest/Upgrade-Guide/upgrade_to_$(ver_cut '1-2')/"
+
+       use emacs && elisp-site-regen
+}
+
+pkg_postrm() {
+       use emacs && elisp-site-regen
+}

Reply via email to